"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.trimVideo = exports.removeAudio = exports.mergeVideoAndAudio = exports.fastAndSlow = exports.cropAudio = void 0;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-audio-remove' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const AudioRemove = _reactNative.NativeModules.AudioRemove ? _reactNative.NativeModules.AudioRemove : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

// videoPath: String;
//   audioPath: String;
//   startTime: String;
//   endingTime: String;
//   setPts: Number;
//   tempo: Number;
const removeAudio = _ref => {
  let {
    path
  } = _ref;
  return AudioRemove.removeAudio(path);
};

exports.removeAudio = removeAudio;

const mergeVideoAndAudio = _ref2 => {
  let {
    videoPath,
    audioPath
  } = _ref2;
  return AudioRemove.mergeVideoAndAudio(videoPath, audioPath);
};

exports.mergeVideoAndAudio = mergeVideoAndAudio;

const trimVideo = _ref3 => {
  let {
    videoPath,
    startTime,
    endingTime
  } = _ref3;
  return AudioRemove.trimVideo(videoPath, startTime, endingTime);
};

exports.trimVideo = trimVideo;

const fastAndSlow = _ref4 => {
  let {
    videoPath,
    setPts,
    tempo
  } = _ref4;
  return AudioRemove.fastAndSlow(videoPath, setPts, tempo);
}; // export const combineVideo = (
//   videoPath: Array<String>,
//   width: Number,
//   height: Number
// ) => {
//   return AudioRemove.combineVideo(videoPath, width, height);
// };


exports.fastAndSlow = fastAndSlow;

const cropAudio = _ref5 => {
  let {
    audioPath,
    startTime,
    endingTime
  } = _ref5;
  return AudioRemove.cropAudio(audioPath, startTime, endingTime);
};

exports.cropAudio = cropAudio;
//# sourceMappingURL=index.js.map